# සිංLingua: Sinhala Language Data Processing Library

**සිංLingua** is a Python library designed for Sinhala language data processing tasks. This library provides various components to assist in Sinhala language processing, including audio to text conversion, grammar conversion, Singlish to Sinhala text conversion, data cleaning and preprocessing, and Sinhala summarization.

[![Next](https://img.shields.io/badge/next-blue.svg)](http://gitlab.sliit.lk/2023-118/sinlingua-documentation/-/blob/master/1.%20Singlish%20to%20Sinhala%20Text%20Conversion/README.md)
[![GitHub issues](https://img.shields.io/github/issues/SupunGurusinghe/SinlinguaDocumentation)](https://github.com/SupunGurusinghe/SinlinguaDocumentation/issues)
[![GitHub pull requests](https://img.shields.io/github/issues-pr/SupunGurusinghe/SinlinguaDocumentation)](https://github.com/SupunGurusinghe/SinlinguaDocumentation/pulls)
[![License](https://img.shields.io/github/license/SupunGurusinghe/SinlinguaDocumentation)](https://github.com/SupunGurusinghe/SinlinguaDocumentation/blob/main/LICENSE)

## Table of Contents
- [Contributing](#contributing)
- [Installation](#installation)
- [Usage](#usage)
- [Library Functions](#library-functions)
- [License](#license)
- [Authors](#authors)

## Contributing

Contributions to improve and expand සිංLingua are welcome! Feel free to submit issues or pull requests on the [GitHub repository](https://github.com/SupunGurusinghe/SinlinguaDocumentation).

## Installation

To install සිංLingua, use the following command:

```bash
pip install sinlingua
```

## Usage

```python
import sinlingua
```

## Library Functions

This library has 5 functions:

1. [Singlish to Sinhala Text Conversion](http://gitlab.sliit.lk/2023-118/sinlingua-documentation/-/blob/master/1.%20Singlish%20to%20Sinhala%20Text%20Conversion/README.md)
2. [Sinhala Audio to Text Conversion](http://gitlab.sliit.lk/2023-118/sinlingua-documentation/-/blob/master/2.%20Sinhala%20Audio%20to%20Text%20Conversion/README.md)
3. [Sinhala Grammar Conversion](http://gitlab.sliit.lk/2023-118/sinlingua-documentation/-/blob/master/3.%20Sinhala%20Grammar%20Conversion/README.md)
4. [Sinhala Text Preprocessing](http://gitlab.sliit.lk/2023-118/sinlingua-documentation/-/blob/master/4.%20Sinhala%20Text%20Preprocessing/README.md)
5. [Sinhala Text Summarization](http://gitlab.sliit.lk/2023-118/sinlingua-documentation/-/blob/master/5.%20Sinhala%20Text%20Summarization/README.md)

For detailed documentation on each function, visit the [සිංLingua GitHub repository](https://github.com/SupunGurusinghe/SinlinguaDocumentation).

## License

This library is licensed under the MIT License. See the [LICENSE](https://github.com/SupunGurusinghe/SinlinguaDocumentation/blob/main/LICENSE) file for details.
```

You can take this Markdown code and paste it into your README file on GitHub or any other platform that supports Markdown rendering. Make sure to replace the placeholder content with your actual library information and links.
```

## Authors

- Supun Gurusinghe
- Sandaruwini Galappaththi
- Supun Wijesinghe
- Binura Yasodya

For any inquiries or feedback, you can contact us at sssbprojects@gmail.com.


[![Next](https://img.shields.io/badge/next-blue.svg)](http://gitlab.sliit.lk/2023-118/sinlingua-documentation/-/blob/master/1.%20Singlish%20to%20Sinhala%20Text%20Conversion/README.md)
